shishi_ap_etype(3)

NAME
shishi_ap_etype - API function

SYNOPSIS
#include <shishi.h>

int shishi_ap_etype(Shishi * handle, Shishi_ap ** ap, int etype);

ARGUMENTS

Shishi * handle
    shishi handle as allocated by shishi_init().

Shishi_ap ** ap
    pointer to new structure that holds information about AP exchange

int etype
    encryption type of newly generated random subkey.

DESCRIPTION
Create a new AP exchange with a random subkey of indicated encryption type.

RETURN VALUE
Returns SHISHI_OK iff successful.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>.

COPYRIGHT
Copyright © 2002-2010 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.